Help me to install Wordpress on YunoHost 11.2.5 (stable)

  • READ ME AND USE THIS TEMPLATE IF YOU WANT TO GET HELP ! You may ask your question in english or french, whichever is easiest for you… But please use one of the templates provided below :wink:
  • LISEZ-MOI ET UTILISEZ CE MODÈLE DE TOPIC SI VOUS SOUHAITEZ OBTENIR DE L’AIDE ! Vous pouvez poser votre question en anglais ou français, selon ce qui est le plus simple pour vous… Mais de préférence en utilisant l’un des deux modèles fournis ci-dessous :wink:

:uk:/:us: Message template (english)

The “support” category is meant to ask for help or troubleshooting related to installing or using YunoHost or its applications. It is not to ask assistance on general system administration, network administration or special use cases that goes beyond the scope of the project. If you wish to discuss more advanced use case, please post in the “Advanced Use Case” category.

Before posting, please :

My YunoHost server

Hardware: Raspberry Pi at home
YunoHost version: 11.2.5
I have access to my server : Through SSH | through the webadmin | direct access via keyboard / screen | …
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no
If yes, please explain:
If your request is related to an app, specify its name and version: app v1.0~ynh1

Description of my issue

To get help efficiently, please explain what you are trying to achieve, in which context, what you tried and provide detailed error messages and logs if you can.

Avoid saying that it “doesn’t work” or that it “does nothing” … explain what really happens and how you interpret it !

NB: you can use paste.yunohost.org to share logs and error messages. You can also directly include error messages using backticks like this :

Here are some error messages

:fr: Modèle de message (français)

La catégorie “support” est destinée à l’aide et au dépannage lié à l’installation et utilisation de YunoHost et de ses applications. Elle n’est pas destinée à de l’assistance généraliste pour l’administration système, réseau, ou pour les cas particuliers qui vont au dela de ce que propose le projet. Si vous souhaitez discuter de cas d’usage avancés, merci d’utiliser la catégorie “Advanced Use Case”.

Avant de poster, merci de :

Mon serveur YunoHost

Matériel: VPS acheté en ligne / Vieil ordinateur / Raspberry Pi à la maison / Brique Internet avec VPN / Autre carte ARM / …
Version de YunoHost: x.x.x
J’ai accès à mon serveur : En SSH | Par la webadmin | En direct avec un clavier/écran | …
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non / oui
Si oui, expliquer:
Si votre requête est liée à une applicatio, précisez son nom et sa version: app v1.0~ynh1

Description du problème

Pour obtenir de l’aide efficacement, expliquez qu’est-ce que vous cherchez à faire, dans quel contexte, qu’est-ce que vous avez essayé, et les messages d’erreurs / logs détaillés si possible.

Évitez de dire que quelque chose ne “marche pas” ou ne “fais rien” … expliquez ce qui se passe vraiment et comment vous l’interprêtez !

NB: vous pouvez utiliser le service paste.yunohost.org pour partager des logs ou messages d’erreurs. Vous pouvez aussi inclure directement ces messages en utilisant les “backticks” (accent grave) comme ceci :

Voici des messages d'erreurs

Hello dear forum. I’m really in need to install Wordpress app in Yunoghost (v.11.2.5 stable). I have tried many times to install from git or by uploading the custom app, without success.
Installation always fail with error “WARNING - The following packages have unmet dependencies:
WARNING - php8.2-fpm : Depends: php8.2-cli but it is not going to be installed
WARNING - Depends: php8.2-opcache but it is not going to be installed”
Is there a way to install Wordpress in Yunohost or i’m hopping in vain?

Hi Codebugging,

There is! Yunohost is supposed to make this su-per-easy!

You can use the ‘apps’ section of the interface to install Wordpress, or visit the catalog and press the ‘install with Yunohost’-button top right. It will ask for the address of your server, and send you to the login page. After log in, it will start the installation process.

By any chance, is your native language not French or English? Were you able to use the app-category to install any app on your server?

Hello @wbk. My native language is Greek. I have installed 2 other apps in my Yunohost server. No matter what I try, I get error "WARNING - php8.2-fpm : Depends: php8.2-cli but it is not going to be installed
WARNING - Depends: php8.2-opcache but it is not going to be installed”, and the installation of Wordpress stops.
At following link, mentions that replacing authldap with wpdirauth, in installation script, to finish installation of Wordpress, but I do not know how to or where to replace this script. Can you help?

@wbk at this link you can see full log of failed installation of Wordpress on my yunohost server
https://paste.yunohost.org/raw/tizowuqiha

Hi Codebugging,

I don’t have access to my computer at the moment, so I keep it short.

Did you notice this bit in the log?

2024-06-16 02:30:48,776: DEBUG -   404  Not Found [IP: 169.150.252.209 443]
2024-06-16 02:30:48,793: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php8.2/php8.2-common_8.2.15-1%2b0%7e20240120.39%2bdebian11%7e1.gbp56f296_armhf.deb  404  Not Found [IP: 169.150.252.209 443]
2024-06-16 02:30:48,795: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php8.2/php8.2-opcache_8.2.15-1%2b0%7e20240120.39%2bdebian11%7e1.gbp56f296_armhf.deb  404  Not Found [IP: 169.150.252.209 443]

It sometimes happens that sure.org is out of sync or unrachable, or that a key has changed. Also, does your RPi have IPv4 network, or only IPv6?

Could ypu search the forum for threads involving sury.org?